#ifndef DATASOURCE_H
#define DATASOURCE_H

typedef struct _DataSource DataSource;

struct _DataSource {
	void *(*init)(DataSource *data_source);
	double (*get_value)(void *ds_data);
	void (*deinit)(void *ds_data);

	char *name;
	char *max_text;
	char *half_text;
	char *min_text;
	void *ds_data;
};

void ds_load(DataSource *ds);

#endif
